#!/usr/bin/env python

# This script was briefly used to do the big initial bulk-import of ALMA SDMs.

import glob
import sys
import os
import os.path

if len(sys.argv) < 2:
    print('Specify the year/month to ingest!')
    sys.exit(0)

yearmonth = sys.argv[1]
interactive = len(sys.argv) == 3 and sys.argv[2] == 'interactive'

def moveto(destination, file):
    destdir = os.path.join(destination, yearmonth)
    if not os.path.exists(destdir):
        os.makedirs(destdir)
    os.rename(file, os.path.join(destdir, os.path.basename(file)))

try:
    for file in glob.glob('spool/' + yearmonth + '/*'):
        command = 'ingest -r -m -s -n -p {}/spool/{} -o {}'.format(os.getcwd(), yearmonth, os.path.basename(file))
        print('running command: ' + command)
        if os.system(command) == 0:
            # ingest successful, move to completed directory
            moveto('complete', file)
        else:
            # ingest failed
            moveto('failed', file)
        if interactive: input()
except KeyboardInterrupt:
    sys.exit(0)